### Struct

# Gio FileAttributeInfoList

#### Description [src]

    struct GFileAttributeInfoList {
      GFileAttributeInfo* infos;
      int n_infos;
    }

Acts as a lightweight registry for possible valid file attributes. The registry stores Key-Value pair formats as `GFileAttributeInfos`.

###### Structure members

`infos:` `GFileAttributeInfo`

  An array of `GFileAttributeInfos`.

`n_infos:` `int`

  The number of values in the array.

#### Constructors

###### g_file_attribute_info_list_new

Creates a new file attribute info list.

#### Instance methods

###### g_file_attribute_info_list_add

Adds a new attribute with `name` to the `list`, setting its `type` and `flags`.

###### g_file_attribute_info_list_dup

Makes a duplicate of a file attribute info list.

###### g_file_attribute_info_list_lookup

Gets the file attribute with the name `name` from `list`.

###### g_file_attribute_info_list_ref

References a file attribute info list.

###### g_file_attribute_info_list_unref

Removes a reference from the given `list`. If the reference count falls to zero, the `list` is deleted.